local soldering_iron =
{
  type="frame_style",
  parent="frame_style",
  graphical_set=
  {
    type = "monolith",
    top_monolith_border = 1,
    right_monolith_border = 1,
    bottom_monolith_border = 1,
    left_monolith_border = 1,
    monolith_image =
    {
      filename = "__F-mod__/resources/other/chipset.png",
      width = 220,
      height = 220,
      x = 0,
      y = 0
    }
  }
}

local transparent_button=
    {
      type = "button_style",
      font = "default-button",
      minimal_width = 300,
      minimal_height = 50,
	  hovered_font_color = {r=0, g=0, b=0},
      default_font_color={r=1, g=1, b=1},
      align = "center",
      top_padding = 5,
      right_padding = 5,
      bottom_padding = 5,
      left_padding = 5,
      default_graphical_set =
      {
        type = "composition",
        filename = "__F-mod__/resources/other/transparent.png",
        corner_size = {3, 3},
        position = {0, 0}
      },
      hovered_font_color={r=1, g=1, b=1},
      hovered_graphical_set =
      {
        type = "composition",
        filename = "__F-mod__/resources/other/transparent.png",
        corner_size = {3, 3},
        position = {0, 8}
      },
      clicked_font_color={r=1, g=1, b=1},
      clicked_graphical_set =
      {
        type = "composition",
        filename = "__F-mod__/resources/other/transparent.png",
        corner_size = {3, 3},
        position = {0, 16}
      },
      pie_progress_color = {r=1, g=1, b=1}
    }

data.raw["gui-style"].default["soldering_iron"] = soldering_iron
data.raw["gui-style"].default["transparent_button"] = transparent_button