data:extend(
{
  {
    type = "font",
    name = "tm-small",
    from = "default",
    size = 12
  }
}
)
local red_planet=
    {
      type = "button_style",
      font = "default-button",
      minimal_width = 128,
      minimal_height = 128,
	  hovered_font_color = {r=1, g=1, b=1},
      default_font_color={r=1, g=1, b=1},
      align = "center",
      top_padding = 5,
      right_padding = 5,
      bottom_padding = 5,
      left_padding = 5,
      default_graphical_set ={
		type = "monolith",
		top_monolith_border = 1,
		right_monolith_border = 1,
		bottom_monolith_border = 1,
		left_monolith_border = 1,
		monolith_image ={
			filename = "__F-mod__/resources/other/planets/red-world.png",
			width = 128,
			height = 128,
			x = 1,
			y = 1
		  },
	  },
      hovered_font_color={r=1, g=1, b=1},
      hovered_graphical_set ={
		type = "monolith",
		top_monolith_border = 1,
		right_monolith_border = 1,
		bottom_monolith_border = 1,
		left_monolith_border = 1,
		monolith_image ={
			filename = "__F-mod__/resources/other/planets/h-red-world.png",
			width = 128,
			height = 128,
			x = 1,
			y = 1
		  },
		},
      clicked_font_color={r=1, g=1, b=1},
      clicked_graphical_set ={
		type = "monolith",
		top_monolith_border = 1,
		right_monolith_border = 1,
		bottom_monolith_border = 1,
		left_monolith_border = 1,
		monolith_image ={
			filename = "__F-mod__/resources/other/planets/h-red-world.png",
			width = 128,
			height = 128,
			x = 1,
			y = 1
		  },
		},
      pie_progress_color = {r=1, g=1, b=1}
    }


local home_planet=
    {
      type = "button_style",
      font = "default-button",
      minimal_width = 128,
      minimal_height = 128,
	  hovered_font_color = {r=1, g=1, b=1},
      default_font_color={r=1, g=1, b=1},
      align = "center",
      top_padding = 5,
      right_padding = 5,
      bottom_padding = 5,
      left_padding = 5,
      default_graphical_set ={
		type = "monolith",
		top_monolith_border = 1,
		right_monolith_border = 1,
		bottom_monolith_border = 1,
		left_monolith_border = 1,
		monolith_image ={
			filename = "__F-mod__/resources/other/planets/home.png",
			width = 128,
			height = 128,
			x = 1,
			y = 1
		  },
	  },
      hovered_font_color={r=1, g=1, b=1},
      hovered_graphical_set ={
		type = "monolith",
		top_monolith_border = 1,
		right_monolith_border = 1,
		bottom_monolith_border = 1,
		left_monolith_border = 1,
		monolith_image ={
			filename = "__F-mod__/resources/other/planets/h-home.png",
			width = 128,
			height = 128,
			x = 1,
			y = 1
		  },
		},
      clicked_font_color={r=1, g=1, b=1},
      clicked_graphical_set ={
		type = "monolith",
		top_monolith_border = 1,
		right_monolith_border = 1,
		bottom_monolith_border = 1,
		left_monolith_border = 1,
		monolith_image ={
			filename = "__F-mod__/resources/other/planets/h-home.png",
			width = 128,
			height = 128,
			x = 1,
			y = 1
		  },
		},
      pie_progress_color = {r=1, g=1, b=1}
    }
	
	local planets_background ={
  type="frame_style",
  parent="frame_style",
  graphical_set=
  {
    type = "monolith",
    top_monolith_border = 1,
    right_monolith_border = 1,
    bottom_monolith_border = 1,
    left_monolith_border = 1,
    monolith_image =
    {
      filename = "__F-mod__/resources/other/background.png",
      width = 569,
      height = 320,
      x = 0,
      y = 0
    }
  }
}

local earth=
    {
      type = "button_style",
      font = "default-button",
      minimal_width = 128,
      minimal_height = 128,
	  hovered_font_color = {r=1, g=1, b=1},
      default_font_color={r=1, g=1, b=1},
      align = "center",
      top_padding = 5,
      right_padding = 5,
      bottom_padding = 5,
      left_padding = 5,
      default_graphical_set ={
		type = "monolith",
		top_monolith_border = 1,
		right_monolith_border = 1,
		bottom_monolith_border = 1,
		left_monolith_border = 1,
		monolith_image ={
			filename = "__F-mod__/resources/other/planets/earth.png",
			width = 128,
			height = 128,
			x = 1,
			y = 1
		  },
	  },
      hovered_font_color={r=1, g=1, b=1},
      hovered_graphical_set ={
		type = "monolith",
		top_monolith_border = 1,
		right_monolith_border = 1,
		bottom_monolith_border = 1,
		left_monolith_border = 1,
		monolith_image ={
			filename = "__F-mod__/resources/other/planets/h-earth.png",
			width = 128,
			height = 128,
			x = 1,
			y = 1
		  },
		},
      clicked_font_color={r=1, g=1, b=1},
      clicked_graphical_set ={
		type = "monolith",
		top_monolith_border = 1,
		right_monolith_border = 1,
		bottom_monolith_border = 1,
		left_monolith_border = 1,
		monolith_image ={
			filename = "__F-mod__/resources/other/planets/h-earth.png",
			width = 128,
			height = 128,
			x = 1,
			y = 1
		  },
		},
      pie_progress_color = {r=1, g=1, b=1}
    }
	
	local planets_background =
{
  type="frame_style",
  parent="frame_style",
  graphical_set=
  {
    type = "monolith",
    top_monolith_border = 1,
    right_monolith_border = 1,
    bottom_monolith_border = 1,
    left_monolith_border = 1,
    monolith_image =
    {
      filename = "__F-mod__/resources/other/planets/background.png",
      width = 569,
      height = 320,
      x = 0,
      y = 0
    }
  }
}
local inv=
    {
      type = "button_style",
      font = "default-button",
      minimal_width = 1,
      minimal_height = 1,
	  hovered_font_color = {r=0, g=0, b=0},
      default_font_color={r=1, g=1, b=1},
      align = "center",
      top_padding = 5,
      right_padding = 5,
      bottom_padding = 5,
      left_padding = 5,
      default_graphical_set =
      {
        type = "composition",
        filename = "__F-mod__/resources/other/inv.png",
        corner_size = {3, 3},
        position = {0, 0}
      },
      hovered_font_color={r=1, g=1, b=1},
      hovered_graphical_set =
      {
        type = "composition",
        filename = "__F-mod__/resources/other/inv.png",
        corner_size = {3, 3},
        position = {0, 8}
      },
      clicked_font_color={r=1, g=1, b=1},
      clicked_graphical_set =
      {
        type = "composition",
        filename = "__F-mod__/resources/other/inv.png",
        corner_size = {3, 3},
        position = {0, 16}
      },
      pie_progress_color = {r=1, g=1, b=1}
    }
local refuel=
    {
      type = "button_style",
      font = "default-button",
      minimal_width = 40,
      minimal_height = 40,
	  hovered_font_color = {r=1, g=1, b=1},
      default_font_color={r=1, g=1, b=1},
      align = "center",
      top_padding = 5,
      right_padding = 5,
      bottom_padding = 5,
      left_padding = 5,
      default_graphical_set ={
		type = "monolith",
		top_monolith_border = 1,
		right_monolith_border = 1,
		bottom_monolith_border = 1,
		left_monolith_border = 1,
		monolith_image ={
			filename = "__F-mod__/resources/other/planets/fuel-can.png",
			width = 80,
			height = 80,
			x = 1,
			y = 1
		  },
	  },
      hovered_font_color={r=1, g=1, b=1},
      hovered_graphical_set ={
		type = "monolith",
		top_monolith_border = 1,
		right_monolith_border = 1,
		bottom_monolith_border = 1,
		left_monolith_border = 1,
		monolith_image ={
			filename = "__F-mod__/resources/other/planets/fuel-can.png",
			width = 80,
			height = 80,
			x = 1,
			y = 1
		  },
		},
      clicked_font_color={r=1, g=1, b=1},
      clicked_graphical_set ={
		type = "monolith",
		top_monolith_border = 1,
		right_monolith_border = 1,
		bottom_monolith_border = 1,
		left_monolith_border = 1,
		monolith_image ={
			filename = "__F-mod__/resources/other/planets/fuel-can.png",
			width = 80,
			height = 80,
			x = 1,
			y = 1
		  },
		},
      pie_progress_color = {r=1, g=1, b=1}
    }
	
local planets_x=
    {
      type = "button_style",
      font = "default-button",
      minimal_width = 40,
      minimal_height = 40,
	  hovered_font_color = {r=1, g=1, b=1},
      default_font_color={r=1, g=1, b=1},
      align = "center",
      top_padding = 5,
      right_padding = 5,
      bottom_padding = 5,
      left_padding = 5,
      default_graphical_set ={
		type = "monolith",
		top_monolith_border = 1,
		right_monolith_border = 1,
		bottom_monolith_border = 1,
		left_monolith_border = 1,
		monolith_image ={
			filename = "__F-mod__/resources/other/planets/x.png",
			width = 80,
			height = 80,
			x = 1,
			y = 1
		  },
	  },
      hovered_font_color={r=1, g=1, b=1},
      hovered_graphical_set ={
		type = "monolith",
		top_monolith_border = 1,
		right_monolith_border = 1,
		bottom_monolith_border = 1,
		left_monolith_border = 1,
		monolith_image ={
			filename = "__F-mod__/resources/other/planets/x.png",
			width = 80,
			height = 80,
			x = 1,
			y = 1
		  },
		},
      clicked_font_color={r=1, g=1, b=1},
      clicked_graphical_set ={
		type = "monolith",
		top_monolith_border = 1,
		right_monolith_border = 1,
		bottom_monolith_border = 1,
		left_monolith_border = 1,
		monolith_image ={
			filename = "__F-mod__/resources/other/planets/x.png",
			width = 80,
			height = 80,
			x = 1,
			y = 1
		  },
		},
      pie_progress_color = {r=1, g=1, b=1}
    }
    yellow_progressbar_style =
    {
      type = "progressbar_style",
      progressbar_type = "smooth",
      font = "default",
      font_color = {r=1, g=1, b=1},
      smooth_size = 200,
      smooth_color = {g=1, r=1},
      smooth_bar =
      {
        filename = "__core__/graphics/gui.png",
        width = 1,
        height = 5,
        x = 221,
        priority = "extra-high"
      },
      smooth_bar_background =
      {
        filename = "__core__/graphics/gui.png",
        width = 1,
        height = 7,
        x = 222,
        priority = "extra-high"
      },
      diode_count = 10,
      diode_full =
      {
        filename = "__core__/graphics/diode-green.png",
        width = 20,
        height = 20,
        priority = "extra-high"
      },
      diode_empty =
      {
        filename = "__core__/graphics/diode-grey.png",
        width = 20,
        height = 20,
        priority = "extra-high"
      }
    }
	
    landing_platform_name_button_style =
    {
      type = "button_style",
      parent = "button_style",
      font = "default-button",
      hovered_font_color = {r=0, g=0, b=0},
      minimal_width = 233,
      minimal_height = 40,
      left_click_sound =
      {
        {
          filename = "__core__/sound/gui-click.ogg",
          volume = 1
        }
      }
    }
	
	addsub_button=    {
      type = "button_style",
      font = "tm-small",
      default_font_color={r=1, g=1, b=1},
      align = "center",
      top_padding = 0,
      right_padding = 0,
      bottom_padding = 0,
      left_padding = 0,
      default_graphical_set =
      {
        type = "composition",
        filename = "__core__/graphics/gui.png",
        corner_size = {3, 3},
        position = {0, 0}
      },
      hovered_font_color={r=1, g=1, b=1},
      hovered_graphical_set =
      {
        type = "composition",
        filename = "__core__/graphics/gui.png",
        corner_size = {3, 3},
        position = {0, 8}
      },
      clicked_font_color={r=1, g=1, b=1},
      clicked_graphical_set =
      {
        type = "composition",
        filename = "__core__/graphics/gui.png",
        corner_size = {3, 3},
        position = {0, 16}
      },
      pie_progress_color = {r=1, g=1, b=1}
    }
data.raw["gui-style"].default["landing_platform_name_button_style"] = landing_platform_name_button_style
data.raw["gui-style"].default["red_planet"] = red_planet
data.raw["gui-style"].default["earth"] = earth
data.raw["gui-style"].default["home_planet"] = home_planet
data.raw["gui-style"].default["planets_background"] = planets_background
data.raw["gui-style"].default["inv"] = inv
data.raw["gui-style"].default["refuel"] = refuel
data.raw["gui-style"].default["planets_x"] = planets_x
data.raw["gui-style"].default["yellow_progressbar_style"] = yellow_progressbar_style
data.raw["gui-style"].default["addsub_button"] = addsub_button