data:extend({
  {
    type= "assembling-machine",
    name= "alien-assembly-machine",
    flags= {"placeable-neutral", "player-creation"},
    collision_box= {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box= {{-1.5, -1.5}, {1.5, 1.5}},
    minable= { hardness= 0.2, mining_time= 0.5, result= "alien-assembly-machine" },
    crafting_categories= { "alien-crafting" },
    max_health= 400,
	order = "m-a-a",
    drawing_position= {0.7, 0.12},
    ingredient_count= 20,
    energy_usage= "250kW",
    crafting_speed= 1,
	icon="__F-mod__/resources/icons/alien-assembly-machine.png",
    energy_source=
    {
      type= "electric",
	  usage_priority = "secondary-input",
      input_priority= "secondary"
    },
    animation=
    {
      filename= "__F-mod__/resources/entity/alien-assembly-machine/alien-assembly-machine.png",
      priority= "medium",
      width= 141,
      height= 120,
      line_length= 6,
      frame_count= 32,
	  shift = {0.7, 0.12}
    }
  },

  
	{
	type = "technology",
    name= "advanced-alien-technology",
    prerequisites= {"alien-technology"},
	icon="__F-mod__/resources/technology/icons/advanced-alien-technology.png",
    unit=
    {
      count= 300,
      time= 15,
      ingredients= { {"science-pack-1", 1}, {"science-pack-2", 1,}, {"alien-science-pack", 1} }
    },
    effects=
    {
      {
        type= "unlock-recipe",
        recipe= "alien-assembly-machine"
      },      
	  {
        type= "unlock-recipe",
        recipe= "Spawn"
      },
	  {
        type= "unlock-recipe",
        recipe= "artifact-collector"
      }
    }
	},

	
	
	{
	type= "item",
	name= "alien-assembly-machine",
	order= "m-a-a",
	place_result= "alien-assembly-machine",
	stack_size= 50,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/alien-assembly-machine.png",
	subgroup = "other-alien",
	},
	
	
{
    type = "recipe",
    name =  "alien-assembly-machine",
    result= "alien-assembly-machine",
    ingredients= { {"alien-artifact", 10}, {"steel-plate",20}, {"advanced-circuit", 10}, {"iron-gear-wheel",5},{"iron-stick", 10},{"copper-cable", 10}},
	energy_required= 10,
    enabled= "false",
	category= "crafting"
  },
})