data:extend({

  {
    type = "container",
    name = "artifact-collector",
    icon = "__F-mod__/resources/entity/artifact-collector/artifact-collector.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "artifact-collector"},
    max_health = 20,
	order="m-a-a",
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    inventory_size = 1,
    picture =
    {
      filename = "__F-mod__/resources/entity/artifact-collector/artifact-collector2.png",
      priority = "extra-high",
      width = 39,
      height = 33
    }
  },

  
	{
	type= "item",
	name= "artifact-collector",
	order= "m-a-a",
	place_result= "artifact-collector",
	stack_size= 10,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/artifact-collector.png",
	subgroup = "other-alien",
	},
	
	{
	type= "item",
	name= "small-alien-artifact",
	order= "r-a",
	stack_size= 500,
	flags= { "goes-to-main-inventory" },
	icon="__F-mod__/resources/icons/small-alien-artifact.png",
	group= "alien-tech",
	},
	
	{
    type = "recipe",
    name = "artifact-collector",
    result= "artifact-collector",
    ingredients= { {"small-alien-artifact", 1}, {"aluminium-plate", 10} },
	energy_required= 100,
    enabled= "false",
	category= "alien-crafting"
  },
{
    type = "recipe",
    name = "alien-artifact",
    result= "alien-artifact",
    ingredients= { {"small-alien-artifact", 50} },
	energy_required= 5,
    enabled= "true",
	category= "crafting"
  },
})