data:extend({
	{
    type= "assembling-machine",
    name= "drilling-tower",
    flags= {"placeable-neutral", "player-creation"},
    corpse = "medium-remnants",
	order = "m-u-a",
    collision_box = {{ -1.49, -1.49}, {1.49, 1.49}},
    selection_box = {{ -1.49, -1.49}, {1.49, 1.49}},
    minable= { hardness= 0.2, mining_time= 3, result= "drilling-tower" },
    crafting_categories= { "drilling-tower" },
    max_health= 185,
    ingredient_count= 1,
    energy_usage= "100kW",
    crafting_speed= 1,
	icon="__F-mod__/resources/icons/drilling-tower.png",
    energy_source=
    {
      type= "electric",
	  usage_priority = "secondary-input",
    },
    animation =
	 {
        priority = "extra-high",
        width = 96,
        height = 96,
        line_length = 1,
        shift = {0, 0},
        filename = "__F-mod__/resources/entity/drilling-tower/drilling-tower.png",
        frame_count = 1
     }
	
	},
	
	{
		type= "item",
		name= "drilling-tower",
		order= "b-c-a",
		place_result= "drilling-tower",
		stack_size= 10,
		flags= { "goes-to-quickbar" },
		icon="__F-mod__/resources/icons/drilling-tower.png",
		subgroup = "umd",
	},
	
	{
		type= "item",
		name= "find-ore",
		order= "b-c-a",
		stack_size= 1,
		flags= { "goes-to-quickbar" },
		icon="__base__/graphics/icons/iron-ore.png",
		subgroup = "drilling-tower",
	},
	
	{
		type = "recipe",
		name =  "drilling-tower",
		result= "drilling-tower",
		ingredients= { {"iron-plate", 100}, {"electric-engine-unit", 10}, {"electronic-circuit", 10}, {"steel-plate", 50}, {"copper-plate", 100}},
		enabled= "false",
		subgroup= "other-alien",
		energy_required="30"
	},
	
	{
		type = "recipe",
		name =  "find-ore",
		result= "find-ore",
		ingredients= {},
		energy_required= 120,
		enabled= "true",
		category= "drilling-tower"
	},
	{
		type = "resource-category",
		name = "hole"
	},
	{
		type = "resource",
		name = "holes",
		icon = "__F-mod__/resources/entity/drilling-tower/hole.png",
		flags = {"placeable-neutral","placeable-off-grid"},
		category = "hole",
		order="a-b-a",
		infinite = true,
		minimum = 0,
		normal = 0,
		selection_box = {{ 0.5, 0.5}, {0.5, 0.5}},
		selection_box = {{ 0.5, 0.5}, {0.5, 0.5}},
		stage_counts = {0},
		stages =
		{
		  filename = "__F-mod__/resources/entity/drilling-tower/hole.png",
		  priority = "extra-high",
		  width = 32,
		  height = 32,
		  frame_count = 1,
		  direction_count = 1
		  
		},
		map_color = {r=0.5, g=0.5, b=1},
		map_grid = false
	  },
	})

