data:extend({
   {
    type= "container",
    name= "prospecting-device",
    flags= {"placeable-neutral", "player-creation"},
    collision_box= {{-0, 0}, {0, 0}},
    selection_box= {{-0, 0}, {0, 0}},
    minable= { hardness= 0.2, mining_time= 999, result= "prospecting-device" },
    max_health= 10,
    drawing_position= {0.7, 0.12},
	inventory_size=1,
	icon="__F-mod__/resources/icons/prospecting-device.png",
    picture=
    {
      filename= "__F-mod__/resources/entity/blank/blank.png",
      width= 32,
      height= 32,
      priority= "extra-high",
      shift = {0, 0}
    }
  },
  
  
	{
		type= "item",
		name= "prospecting-device",
		order= "p-p-d",
		subgroup="tool",
		place_result= "prospecting-device",
		stack_size= 1,
		flags= { "goes-to-quickbar" },
		icon="__F-mod__/resources/icons/prospecting-device.png"
	},
	
	{
		type = "recipe",
		name = "recharge-prospecting-device",
		result_count = 1,
		result= "prospecting-device",
		ingredients= { {"prospecting-device", 1} },
		energy_required= 30,
		enabled= "false",
		category= "charging" 
	},
	
		{
		type = "recipe",
		name = "prospecting-device",
		result_count = 1,
		result= "prospecting-device",
		ingredients= { {"battery", 1}, {"anten", 1}, {"steel-plate", 5}, {"iron-plate", 50}, {"copper-cable", 10} },
		energy_required= 30,
		enabled= "false",
		category= "crafting" 
	},
})