data:extend({
  {
    type= "item",
    name= "soldering-tin",
    order= "b-b",
    stack_size= 100,
    flags= { "goes-to-main-inventory" },
	icon="__F-mod__/resources/icons/Soldering-tin.png",
	group="production",
	subgroup = "raw-material",
  },
      {
   	type = "recipe",
   	name =  "molten-soldering-tin-recipe",
   	results= {{type="fluid",name="molten-soldering-tin",amount=10}},
   	ingredients= { {type="fluid",name="molten-copper",amount=2}, {type="fluid",name="molten-silver",amount=1}, {type="fluid",name="molten-tin",amount=7} },
	energy_required= 1,
    enabled= "true",
	category= "alloys"
  },

    {
    type = "fluid",
    name = "molten-soldering-tin",
    default_temperature = 500,
    heat_capacity = "0KJ",
    base_color = {r=210, g=210, b=210},
    flow_color = {r=210, g=210, b=210},
    max_temperature = 500,
    icon="__F-mod__/resources/icons/molten-soldering-tin.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "m-c"
  },
  
  {
    type= "item",
    name= "soldering-tin-plate",
    order= "b-b",
    stack_size= 100,
    flags= { "goes-to-main-inventory" },
	icon="__F-mod__/resources/icons/soldering-tin-plate.png",
	group="production",
	subgroup = "raw-material",
  },

{
    type = "recipe",
    name = "forgesolderingtin",
	result_count = 9,
    result= "soldering-tin-plate",
    ingredients= { {name="molten-soldering-tin", amount=1,type="fluid"} },
	energy_required= 30,
    enabled= "false",
	category= "f-forge"
},

{
    type = "recipe",
    name = "soldering-tin",
	result_count = 9,
    result= "soldering-tin",
    ingredients= { {"soldering-tin-plate", 1} },
	energy_required= 30,
    enabled= "false",
	category= "assembling"
},
})