pipecoverspictures = function()
  return {
    north =
    {
      filename = "__base__/graphics/entity/pipe-covers/pipe-cover-north.png",
      priority = "extra-high",
      width = 44,
      height = 32
    },
    east =
    {
      filename = "__base__/graphics/entity/pipe-covers/pipe-cover-east.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    south =
    {
      filename = "__base__/graphics/entity/pipe-covers/pipe-cover-south.png",
      priority = "extra-high",
      width = 46,
      height = 52
    },
    west =
    {
      filename = "__base__/graphics/entity/pipe-covers/pipe-cover-west.png",
      priority = "extra-high",
      width = 32,
      height = 32
    }
  }
end
data:extend({
   {
    type= "assembling-machine",
    name= "electrolycer",
	order = "m-r",
    flags= {"placeable-neutral", "player-creation"},
    collision_box= {{-1.4, -0.6}, {1.4, 1.0}},
    selection_box= {{-1.5, -0.6}, {1.5, 1.0}},
    minable= { hardness= 0.2, mining_time= 0.5, result= "electrolycer" },
    crafting_categories= { "electrolycer" },
    max_health= 150,
    drawing_position= {0.7, 0.12},
    ingredient_count= 5,
    energy_usage= "500kW",
    crafting_speed= 1,
	icon="__F-mod__/resources/icons/electrolycer.png",
    energy_source=
    {
      type= "electric",
      usage_priority = "secondary-input",
    },
    animation=
    {
      filename= "__F-mod__/resources/entity/electrolycer/electrolycer2.png",
      priority= "medium",
      width= 147,
      height= 128,
      line_length= 8,
      frame_count= 24,
      shift = {0, -0.525}
    },
	
	fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-2, 0.5} }}
      },
	  {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {2, 0.5} }}
      },
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-2, -0.5} }}
      },
	  {
        production_type = "output",
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {2, -0.5} }}
      },
  }
  },
  
  {
   	type = "recipe",
   	name =  "electrolycer",
   	result= "electrolycer",
   	ingredients= { {"steel-plate", 20}, {"iron-plate", 50 }, {"copper-cable", 200 }, {"silver-plate", 50 }},
	energy_required= 10,
    enabled= "false",
	category= "crafting"
  },
  
  
	{
	type= "item",
	name= "electrolycer",
	order = "z-z-e",
	place_result= "electrolycer",
	stack_size= 5,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/electrolycer.png",
	subgroup = "production-machine",
	},
})