data:extend({
	  {
    type = "assembling-machine",
    name = "foundry",
	order = "m-r",
	crafting_categories={"alloys"},
	crafting_speed=100000,
	energy_usage= "100kW",
	energy_source=
    {
      type= "electric",
	  usage_priority = "secondary-input",
      input_priority= "secondary"
    },
	ingredient_count=10,
    icon="__F-mod__/resources/icons/foundry icon.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "foundry"},
    max_health = 150,
    collision_box= {{-1.4, -1.4}, {1.4, 1.4}},
    selection_box= {{-1.5, -1.5}, {1.5, 1.5}},
    animation =
    {
      filename = "__F-mod__/resources/entity/foundry/foundry.png",
      priority = "extra-high",
      width = 200,
      height = 146,
	  frame_count=1,
	  line_length=1,
	  shift={1.35,-1}
    },
	fluid_boxes={

      {
        production_type = "input",
        --pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {-2, 0} }}
      },
      {
        production_type = "output",
        --pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {2, 0} }}
      },
      {
        production_type = "input",
        --pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, -2} }}
      },
      {
        production_type = "input",
        --pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, 2} }}
      },
	}
  },
    {
    type = "recipe-category",
    name = "alloys"
  },
  	{
	type= "item",
	name= "foundry",
	order = "z-z-f-o",
	place_result= "foundry",
	stack_size= 10,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/foundry icon.png",
	subgroup = "production-machine",
	},
	
  {
   	type = "recipe",
   	name =  "foundry",
   	result= "foundry",
   	ingredients= { {"steel-plate", 50}, {"copper-cable", 50} },
	energy_required= 30,
    enabled= "false",
	category= "crafting"
  },

})