data:extend({
  {
    type= "item",
    name= "gold-ore",
    order= "a-a",
    stack_size= 64,
    flags= { "goes-to-main-inventory" },
	icon="__F-mod__/resources/icons/gold-ore.png",
	group="production",
	subgroup = "raw-resource",
  },
  
  
  {
    type = "fluid",
    name = "molten-gold",
    default_temperature = 1200,
    heat_capacity = "0KJ",
    base_color = {r=255, g=200, b=0},
    flow_color = {r=255, g=190, b=0},
    max_temperature = 1200,
    icon="__F-mod__/resources/icons/molten-gold.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "m-c"
  },
  
    {
    type= "item",
    name= "gold-plate",
    order= "b-b",
    stack_size= 128,
    flags= { "goes-to-main-inventory" },
	icon="__F-mod__/resources/icons/gold-plate.png",
	group="production",
	subgroup = "raw-material",
  },
  
	{
	    type = "recipe",
		name = "molten-gold",
		results= {
			{type="fluid", name="molten-gold", amount=1},
		},
		ingredients= { {type="item",name="gold-ore", amount=5}, {type="item",name="stone", amount=5}, {type="item",name="coal", amount=2}},
		energy_required= 1,
		enabled= "true",
		category= "f-blast-furnace",
		subgroup="molten-metals"
	},

{
    type = "recipe",
    name = "forgegold",
	result_count = 9,
    result= "gold-plate",
    ingredients= { {name="molten-gold", amount=1, type="fluid"} },
	energy_required= 1,
    enabled= "false",
	category= "f-forge"
},
})