data:extend({
    {
    type = "fluid",
    name = "molten-iron",
    default_temperature = 1200,
    heat_capacity = "0KJ",
    base_color = {r=255, g=60, b=0},
    flow_color = {r=255, g=70, b=0},
    max_temperature = 1200,
    icon="__F-mod__/resources/icons/iron-ore.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "m-c"
  },
{
    type = "recipe",
    name = "forgeiron",
	result_count = 9,
    result= "iron-plate",
    ingredients= { {type="fluid",name="molten-iron", amount=1} },
	energy_required= 1,
    enabled= "false",
	category= "f-forge"
},

	{
	    type = "recipe",
		name = "molten-iron",
		results= {
			{type="fluid", name="molten-iron", amount=1},
		},
		ingredients= { {type="item",name="iron-ore", amount=5}, {type="item",name="stone", amount=5}, {type="item",name="coal", amount=2}},
		energy_required= 1,
		enabled= "true",
		category= "f-blast-furnace",
		subgroup="molten-metals"
	},
})