data:extend({
    {
    type= "item",
    name= "silver-ore",
    order= "a-a",
    stack_size= 100,
    flags= { "goes-to-main-inventory" },
	icon="__F-mod__/resources/icons/silver-ore.png",
	subgroup = "raw-resource",
  },
      {
    type = "fluid",
    name = "molten-silver",
    default_temperature = 1200,
    heat_capacity = "0KJ",
    base_color = {r=175, g=175, b=175},
    flow_color = {r=175, g=175, b=175},
    max_temperature = 1200,
    icon="__F-mod__/resources/icons/molten-silver.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "m-c"
  },
	{
	    type = "recipe",
		name = "molten-silver",
		results= {
			{type="fluid", name="molten-silver", amount=1},
		},
		ingredients= { {type="item",name="silver-ore", amount=5}, {type="item",name="stone", amount=5}, {type="item",name="coal", amount=2}},
		energy_required= 1,
		enabled= "true",
		category= "f-blast-furnace",
		subgroup="molten-metals"
	},

      {
    type= "item",
    name= "silver-plate",
    order= "b-b",
    stack_size= 100,
    flags= { "goes-to-main-inventory" },
	icon="__F-mod__/resources/icons/silver-plate.png",
	group="production",
	subgroup = "raw-material",
  },

{
    type = "recipe",
    name = "forgesilver",
	result_count = 9,
    result= "silver-plate",
    ingredients= { {type="fluid",name="molten-silver", amount=1} },
	energy_required= 1,
    enabled= "false",
	category= "f-forge"
},
})