data:extend({
   {
    type= "assembling-machine",
    name= "pressure-vessel",
	order = "m-r",
    flags= {"placeable-neutral", "player-creation"},
    collision_box= {{-1.5, -0.7}, {1.4, 0.9}},
    selection_box= {{-1.5, -0.7}, {1.4, 0.9}},
    minable= { hardness= 0.2, mining_time= 0.5, result= "pressure-vessel" },
    crafting_categories= { "pressure-vessel" },
    max_health= 150,
    drawing_position= {0.7, 0.12},
    ingredient_count= 5,
    energy_usage= "250kW",
    crafting_speed= 1,
	icon="__F-mod__/resources/icons/pressure-vessel.png",
    energy_source=
    {
      type= "electric",
      usage_priority = "secondary-input",
    },
    animation=
    {
      filename= "__F-mod__/resources/entity/pressure-vessel/pressure-vessel.png",
      priority= "medium",
      width= 96,
      height= 32,
      line_length= 1,
      frame_count= 1,
      shift = {0, 0}
    },
	fluid_boxes =
    {
      {
        production_type = "output",
        --pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {-2, 0.5} }}
      },
	},
  },
  
  
	{
	type= "item",
	name= "pressure-vessel",
	order = "z-z-p-v",
	place_result= "pressure-vessel",
	stack_size= 5,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/pressure-vessel.png",
	subgroup = "production-machine",
	},
	
  {
   	type = "recipe",
   	name =  "pressure-vessel",
   	result= "pressure-vessel",
   	ingredients= { {"steel-plate", 80}, {"copper-cable", 50 }, {"copper-plate", 50 }},
	energy_required= 10,
    enabled= "false",
	category= "crafting"
  },
})