data:extend({

	{
    type = "simple-entity",
    name = "red-stone-rock",
    flags = {"placeable-neutral", "placeable-off-grid", "not-on-map"},
    icon = "__base__/graphics/icons/stone-rock.png",
    order = "b[decorative]-k[stone-rock]",
    collision_box = {{-1.1, -1.1}, {1.1, 1.1}},
    selection_box = {{-1.3, -1.3}, {1.3, 1.3}},
    render_layer = "object",
	selectable_in_game = false,
    max_health = 200,
    resistances =
    {
      {
        type = "fire",
        percent = 100
      }
    },
    pictures =
    {
      {
        filename = "__F-mod__/resources/entity/redplanet-doodads/red-stone-rock-01.png",
        width = 76,
        height = 60,
        shift = {0.1, 0}
      },
      {
        filename = "__F-mod__/resources/entity/redplanet-doodads/red-stone-rock-02.png",
        width = 83,
        height = 86,
        shift = {0.2, 0}
      },
      {
        filename = "__F-mod__/resources/entity/redplanet-doodads/red-stone-rock-03.png",
        width = 126,
        height = 98,
        shift = {0.7, 0}
      },
      {
        filename = "__F-mod__/resources/entity/redplanet-doodads/red-stone-rock-04.png",
        width = 92,
        height = 108,
        shift = {0.1, 0}
      },
      {
        filename = "__F-mod__/resources/entity/redplanet-doodads/red-stone-rock-05.png",
        width = 140,
        height = 99,
        shift = {0.5, 0}
      }
    }
  },
    {
    type = "decorative",
    name = "red-hole",
    flags = {"placeable-neutral", "placeable-off-grid", "not-on-map"},
    icon = "__base__/graphics/icons/stone-rock.png",
    order = "c",
    collision_box = {{0, 0}, {0, 0}},
    selection_box = {{0, 0}, {0, 0}},
    render_layer = "item",
    selectable_in_game = false,
    pictures =
    {
      {
        filename = "__F-mod__/resources/entity/redplanet-doodads/hole 1.png",
        width = 129,
        height = 45
      },
      {
        filename = "__F-mod__/resources/entity/redplanet-doodads/hole 2.png",
        width = 121,
        height = 34
      },
      {
        filename = "__F-mod__/resources/entity/redplanet-doodads/hole 3.png",
        width = 115,
        height = 37
      },
      {
        filename = "__F-mod__/resources/entity/redplanet-doodads/hole 4.png",
        width = 206,
        height = 112
      },
    }
  },
	{
	type= "item",
	name= "red-stone-rock",
	order = "z-z-e",
	place_result= "red-stone-rock",
	stack_size= 1,
	subgroup="red-planet",
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/red-stone-rock.png",
	},
})