data:extend({

  
    {
    type = "smart-container",
    name= "landing-platform",
    icon="__F-mod__/resources/icons/landing-platform.png",
    flags = {"placeable-neutral", "player-creation"},
    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0 },
    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0 },
    minable =
    {
      hardness = 0.2,
      mining_time = 5,
      result = "landing-platform"
    },
    max_health = 150,
    corpse = "small-remnants",
    resistances = 
    {
      {
        type = "fire",
        percent = 70
      }
    },
    collision_box= {{-2.5, -1.5}, {3.5, 1.5}},
    selection_box= {{-2.5, -1.75}, {3.5, 1.75}},
    inventory_size = 20,
    picture=
    {
      filename= "__F-mod__/resources/entity/rocket/landing-platform.png",
      width = 192,
      height = 110,
      priority = "extra-high",
	  shift={0.5,0},
	},
    connection_point =
    {
      shadow =
      {
        red = {-2.1, -1},
        green = {-2.1, -1}
      },
      wire =
      {
        red = {-2.5, -1.5},
        green = {-2.5, -1.5},
      }
    }
  },
	{
	type= "item",
	name= "landing-platform",
	order= "b-c-a",
	place_result= "landing-platform",
	stack_size= 1,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/landing-platform.png",
	subgroup="rocket",
	},
	
  {
   	type = "recipe",
   	name =  "landing-platform",
   	result= "landing-platform",
   	ingredients= { {"steel-plate", 50} },
	energy_required= 10,
    enabled= "false",
	category= "crafting"
  },
})