data:extend({

  {
    type= "container",
    name= "rocket-2",
    flags= {"placeable-player", "player-creation"},
    collision_box= {{-2.3, -1.5}, {2.3, 0.5}},
    selection_box= {{-2.3, -10.6}, {2.3, 0.6}},
    minable= { hardness= 0.2, mining_time= 10, result= "rocket-2" },
    max_health= 50,
    drawing_position= {0, 5},
	icon="__F-mod__/resources/icons/rocket.png",
	inventory_size=10,
    picture=
    {
      filename= "__F-mod__/resources/entity/rocket/two.png",
      width = 160,
      height = 340,
      priority = "extra-high",
	  shift={0,-5},
  }
  },
  {
    type= "container",
    name= "rocket-3",
    flags= {"placeable-player", "player-creation"},
    collision_box= {{-2.3, -1.5}, {2.3, 0.5}},
    selection_box= {{-2.3, -10.6}, {2.3, 0.6}},
    minable= { hardness= 0.2, mining_time= 10, result= "rocket-3" },
    max_health= 50,
    drawing_position= {0, 5},
	icon="__F-mod__/resources/icons/rocket.png",
	inventory_size=10,
    picture=
    {
      filename= "__F-mod__/resources/entity/rocket/three.png",
      width = 160,
      height = 340,
      priority = "extra-high",
	  shift={0,-5},
  }
  },
  {
    type= "container",
    name= "rocket-4",
    flags= {"placeable-player", "player-creation"},
    collision_box= {{-2.3, -1.5}, {2.3, 0.5}},
    selection_box= {{-2.3, -10.6}, {2.3, 0.6}},
    minable= { hardness= 0.2, mining_time= 10, result= "rocket-4" },
    max_health= 50,
    drawing_position= {0, 5},
	icon="__F-mod__/resources/icons/rocket.png",
	inventory_size=10,
    picture=
    {
      filename= "__F-mod__/resources/entity/rocket/four.png",
      width = 160,
      height = 340,
      priority = "extra-high",
	  shift={0,-5},
  }
  },
  {
    type= "container",
    name= "rocket-5",
    flags= {"placeable-player", "player-creation"},
    collision_box= {{-2.3, -1.5}, {2.3, 0.5}},
    selection_box= {{-2.3, -10.6}, {2.3, 0.6}},
    minable= { hardness= 999, mining_time= 10, result= "rocket-5" },
    max_health= 50,
	icon="__F-mod__/resources/icons/rocket.png",
	inventory_size=100,
    picture=
    {
      filename= "__F-mod__/resources/entity/rocket/five.png",
      width = 160,
      height = 340,
      priority = "extra-high",
	  shift={0,-5},
  }
  },
  	{
	type= "item",
	name= "rocket-5",
	order= "b-c-a",
	place_result= "rocket-5",
	stack_size= 2,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/rocket.png",
	subgroup="rocket",
	},
	
		{
	type= "item",
	name= "rocket-2",
	order= "b-c-a",
	place_result= "rocket-2",
	stack_size= 2,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/rocket.png",
	subgroup="rocket",
	},
	
		{
	type= "item",
	name= "rocket-2",
	order= "b-c-a",
	place_result= "rocket-2",
	stack_size= 2,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/rocket.png",
	subgroup="rocket",
	},
	
		{
	type= "item",
	name= "rocket-3",
	order= "b-c-a",
	place_result= "rocket-3",
	stack_size= 2,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/rocket.png",
	subgroup="rocket",
	},
		{
	type= "item",
	name= "rocket-4",
	order= "b-c-a",
	place_result= "rocket-4",
	stack_size= 2,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/rocket.png",
	subgroup="rocket",
	},
})