data:extend({
  {
    type = "recipe",
    name = "fill-light-oil-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-light-oil-barrel]",
    enabled = "false",
    icon = "__F-mod__/resources/icons/light-oil-barrel.png",
    ingredients =
    {
      {type="fluid", name="light-oil", amount=25},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="light-oil-barrel", amount=1}
    }
  },

  {
    type = "recipe",
    name = "empty-light-oil-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-light-oil-barrel]",
    enabled = "false",
    icon = "__F-mod__/resources/icons/empty-light-oil-barrel.png",
    ingredients =
    {
      {type="item", name="light-oil-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="light-oil", amount=25},
      {type="item", name="empty-barrel", amount=1}
    }
  },
  
  	{
	type= "item",
	name= "light-oil-barrel",
	order = "z-z-e",
	stack_size= 8,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/light-oil-barrel.png",
	subgroup = "barrel",
	},
	

})
	table.insert(data.raw["technology"]["fluid-handling"].effects,{type = "unlock-recipe",recipe = "empty-light-oil-barrel"})
	table.insert(data.raw["technology"]["fluid-handling"].effects,{type = "unlock-recipe",recipe = "fill-light-oil-barrel"})