data:extend({
  {
    type = "container",
    name = "wireless-base",
    icon = "__F-mod__/resources/entity/wireless-base/wireless.png",
    flags = {"placeable-neutral", "player-creation"},
    minable = {mining_time = 1, result = "wireless-base"},
    max_health = 200,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    inventory_size=1,
    picture ={
          filename = "__F-mod__/resources/entity/wireless-base/wireless.png",
          priority = "extra-high",
          width = 32,
          height = 32,
  }
},

	{
	type= "item",
	name= "wireless-base",
	order= "z-z-w-b",
	place_result= "wireless-base",
	stack_size= 10,
	flags= { "goes-to-quickbar" },
    icon = "__F-mod__/resources/entity/wireless-base/wireless.png",
	subgroup="energy-pipe-distribution"
	},
	
	{
	type= "item",
	name= "anten",
	order= "b-c-a",
	stack_size= 10,
	flags= { "goes-to-main-inventory" },
    icon = "__F-mod__/resources/icons/anten.png",
	subgroup="intermediate-product"
	},
{
    type = "recipe",
    name =  "anten",
    result= "anten",
    ingredients= { {"iron-stick", 5}},
	energy_required= 10,
    enabled= "false",
	category= "crafting"
  },
  
{
    type = "recipe",
    name =  "wireless-base",
    result= "wireless-base",
    ingredients= { {"anten", 1}, {"aluminium-plate", 20}, {"copper-cable", 20}},
	energy_required= 10,
    enabled= "false",
	category= "crafting"
  },
  
	{
	type = "technology",
    name= "wireless",
    prerequisites= {"advanced-electronics-2","Advanced-metal-processing"},
	icon="__F-mod__/resources/technology/icons/anten.png",
    unit=
    {
      count= 100,
      time= 15,
      ingredients= { {"science-pack-1", 1}, {"science-pack-2", 1,}, {"science-pack-3", 1} }
    },
    effects=
    {
      {
        type= "unlock-recipe",
        recipe="anten"
      },
      --{
        --type= "unlock-recipe",
        --recipe="door-closed"
      --},
      {
        type= "unlock-recipe",
        recipe="wireless-base"
      },
	  {
        type= "unlock-recipe",
        recipe="remote-controlled-robot"
      },
	  {
		type="unlock-recipe",
		recipe="prospecting-device",
	  },
	  {
		type="unlock-recipe",
		recipe="recharge-prospecting-device",
	  },
	   {
        type= "unlock-recipe",
        recipe= "charger"
      }
    }
	},
})