data:extend({
  {
    type= "container",
    name= "item-destroyer",
	order = "m-a",
    flags= {"placeable-neutral", "player-creation"},
    collision_box= {{-2.4, -1.3}, {1.2, 0.9}},
    selection_box= {{-2.4, -1.3}, {1.2, 0.9}},
    minable= { hardness= 0.2, mining_time= 0.5, result= "item-destroyer" },
    max_health= 230,
    shift={0,0.5},
	icon="__F-mod__/resources/icons/item-destroyer.png",
	inventory_size=104,
    picture=
    {
      filename= "__F-mod__/resources/entity/item-destroyer/item-destroyer2.png",
      width= 150,
      height= 112,
      priority= "extra-high"
  }
  },
  
	{
		type= "item",
		name= "item-destroyer",
		order= "b-c-a",
		stack_size= 1,
		place_result="item-destroyer",
		flags= { "goes-to-quickbar" },
		icon="__F-mod__/resources/icons/item-destroyer.png",
		subgroup = "other-alien",
	},
	
	{
		type = "recipe",
		name = "item-destroyer",
		result= "item-destroyer",
		ingredients= { {"alien-artifact", 25},{ "estabiliced-black-hole", 1},{ "aluminium-plate", 100},{ "steel-plate", 50},{ "silver-plate", 50}} ,
		energy_required= 60,
		enabled= "false",
		category= "alien-crafting"
	},
	
	{
		type= "item",
		name= "black-hole-generator",
		order= "b-c-a",
		stack_size= 1,
		flags= { "goes-to-main-inventory" },
		icon="__F-mod__/resources/icons/small-black-hole-generator.png",
		subgroup = "alien-intermediates",
	},
	
	{
		type = "recipe",
		name = "black-hole-generator",
		result= "black-hole-generator",
		ingredients= { {"alien-artifact", 50},{ "aluminium-plate", 25}, {"silver-plate", 50}	},
		energy_required= 60,
		enabled= "false",
		category= "alien-crafting"
	},
	{
		type= "item",
		name= "estabiliced-black-hole",
		order= "b-c-a",
		stack_size= 1,
		flags= { "goes-to-main-inventory" },
		icon="__F-mod__/resources/icons/estabiliced-blackhole.png",
		subgroup = "alien-intermediates",
	},
	
	{
		type = "recipe",
		name = "estabiliced-black-hole",
		result= "estabiliced-black-hole",
		ingredients= { {"black-hole-generator", 1},{"aluminium-plate", 25},{ "alien-artifact", 25}	},
		energy_required= 60,
		enabled= "false",
		category= "alien-crafting"
	},
	
	{
	type = "technology",
    name= "black-hole-manipulation",
    prerequisites= {"advanced-alien-technology"},
	icon="__F-mod__/resources/technology/icons/small-black-hole-generator.png",
    unit=
    {
      count= 300,
      time= 5,
      ingredients= { {"science-pack-1", 1}, {"science-pack-2", 1,}, {"alien-science-pack", 3} }
    },
    effects=
    {
      {
        type= "unlock-recipe",
        recipe= "black-hole-generator"
      },
      {
        type= "unlock-recipe",
        recipe= "estabiliced-black-hole"
      },
      {
        type= "unlock-recipe",
        recipe= "item-destroyer"
      },
    }
	},
})