data:extend({
  {
    type= "player-port",
    name= "Spawn",
	order = "m-a",
    flags= {"placeable-neutral", "player-creation"},
    collision_box= {{-0.9, -0.9}, {0.9, 0.9}},
    selection_box= {{-1, -1}, {1, 1}},
    minable= { mining_time= 1, result= "Spawn" },
    max_health= 50,
	icon="__F-mod__/resources/icons/Spawn.png",
    animation=
    {
      filename= "__F-mod__/resources/entity/Spawn/file.png",
      width= 64,
      height= 64,
      line_length= 6,
      frame_count= 31,
      priority= "high"
    }
   },
   
{
	type = "recipe",
	name =  "Spawn",
	result= "Spawn",
	ingredients= { {"alien-artifact", 250}, {"advanced-circuit", 50}, {"steel-plate", 100}, {"copper-plate", 100}, {"iron-plate", 100}, {"gold-plate", 50}, {"green-wire", 50}, {"red-wire", 50} },
	energy_required= 60,
	enabled= "false",
	category= "alien-crafting"
  },
  
  
{
	type= "item",
	name= "Spawn",
	order= "m-a",
	place_result= "Spawn",
	stack_size= 1,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/Spawn.png",
	subgroup = "other-alien",
},
})

