data:extend({

  
	{
	type= "item",
	name= "umd",
	order= "b-c-a",
	place_result= "umd",
	stack_size= 10,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/underground-mining-drill.png",
	subgroup = "umd",
	},  

	
	{
    type = "recipe",
    name =  "umd",
    result= "umd",
    ingredients= { {"iron-plate", 100}, {"iron-gear-wheel", 20}, {"advanced-circuit", 10}, {"steel-plate", 75}, {"copper-plate", 100},{"alien-artifact", 10},{"iron-stick", 50} },
	energy_required= 60,
    enabled= "false",
	category= "alien-crafting"
	},
	
  {
	type = "technology",
    name= "advanced-alien-drilling",
    prerequisites= {"advanced-alien-technology"},
	icon="__F-mod__/resources/technology/icons/advanced-alien-technology.png",
    unit=
    {
      count= 300,
      time= 15,
      ingredients= { {"science-pack-1", 1}, {"science-pack-2", 1}, {"alien-science-pack", 1} }
    },
    effects=
    {
      {
        type= "unlock-recipe",
        recipe= "umd"
      },
      {
        type= "unlock-recipe",
        recipe= "drilling-tower"
      },
	  {
        type= "unlock-recipe",
        recipe= "find-ore"
      },
    }
  },
      {
    type = "resource-category",
    name = "hole",
  },
  {
    type = "mining-drill",
    name = "umd",
    icon="__F-mod__/resources/icons/underground-mining-drill.png",
    flags = {"placeable-neutral", "player-creation"},
    resource_categories = {"hole"},
    minable = {mining_time = 1, result = "umd"},
    max_health = 450,
    corpse = "medium-remnants",
    collision_box = {{ -1, -1}, {1, 1}},
    selection_box = {{ -1.49, -1.49}, {1.49, 1.49}},
    mining_speed = 0.35,
    energy_source =
    {
      type = "electric",
      emissions = 7.1 / 100,
      usage_priority = "secondary-input"
    },
    energy_usage = "200kW",
    mining_power = 2.5,
    animations =
    {
      north =	 {
        priority = "extra-high",
        width = 90,
        height = 72,
        line_length = 1,
        shift = {0.1, -0.05},
        filename = "__F-mod__/resources/entity/underground-mining-drill/miner small.png",
        frame_count = 1
     },
      east =	 {
        priority = "extra-high",
        width = 90,
        height = 72,
        line_length = 1,
        shift = {0.1, -0.05},
        filename = "__F-mod__/resources/entity/underground-mining-drill/miner small.png",
        frame_count = 1
     },
      south =	 {
        priority = "extra-high",
        width = 90,
        height = 72,
        line_length = 1,
        shift = {0.1, -0.05},
        filename = "__F-mod__/resources/entity/underground-mining-drill/miner small.png",
        frame_count = 1
     },
      west =	 {
        priority = "extra-high",
        width = 90,
        height = 72,
        line_length = 1,
        shift = {0.1, -0.05},
        filename = "__F-mod__/resources/entity/underground-mining-drill/miner small.png",
        frame_count = 1
     },
    },
    resource_searching_radius = 0.99,
    vector_to_place_result = {-.5, -2.3}
  },
})