pipepictures = function()
  return {
    straight_vertical =
    {
      filename = "__base__/graphics/entity/pipe/pipe-straight-vertical.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    straight_vertical_window =
    {
      filename = "__base__/graphics/entity/pipe/pipe-straight-vertical-window.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    straight_horizontal_window =
    {
      filename = "__base__/graphics/entity/pipe/pipe-straight-horizontal-window.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    straight_horizontal =
    {
      filename = "__base__/graphics/entity/pipe/pipe-straight-horizontal.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    corner_up_right =
    {
      filename = "__base__/graphics/entity/pipe/pipe-corner-up-right.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    corner_up_left =
    {
      filename = "__base__/graphics/entity/pipe/pipe-corner-up-left.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    corner_down_right =
    {
      filename = "__base__/graphics/entity/pipe/pipe-corner-down-right.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    corner_down_left =
    {
      filename = "__base__/graphics/entity/pipe/pipe-corner-down-left.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    t_up =
    {
      filename = "__base__/graphics/entity/pipe/pipe-t-up.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    t_down =
    {
      filename = "__base__/graphics/entity/pipe/pipe-t-down.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    t_right =
    {
      filename = "__base__/graphics/entity/pipe/pipe-t-right.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    t_left =
    {
      filename = "__base__/graphics/entity/pipe/pipe-t-left.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    cross =
    {
      filename = "__base__/graphics/entity/pipe/pipe-cross.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    ending_up =
    {
      filename = "__base__/graphics/entity/pipe/pipe-ending-up.png",
      priority = "extra-high",
      width = 32,
      height = 32
      },
    ending_down =
    {
      filename = "__base__/graphics/entity/pipe/pipe-ending-down.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    ending_right =
    {
      filename = "__base__/graphics/entity/pipe/pipe-ending-right.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    ending_left =
    {
      filename = "__base__/graphics/entity/pipe/pipe-ending-left.png",
      priority = "extra-high",
      width = 32,
      height = 32
    },
    water_flow =
    {
      filename = "__base__/graphics/entity/pipe/water-flow.png",
      priority = "extra-high",
      width = 128,
      height = 20
    },
    water_flow_background =
    {
      filename = "__base__/graphics/entity/pipe/water-flow-background.png",
      priority = "extra-high",
      width = 32,
      height = 20
    }
  }
end

blank={
	filename = "__F-mod__/resources/entity/blank/blank.png",
	priority = "low",
	width = 51,
	height = 51,
}

blankf={
	filename = "__F-mod__/resources/entity/blank/blank.png",
	priority = "low",
	width = 16,
	height = 16,
	frame_count = 1
}

data:extend({
  {
    type= "container",
    name= "reactor",
	order="m-e",
    flags= {"placeable-neutral", "player-creation"},
    collision_box= {{-2.9, -2}, {1.2, 1.3}},
    selection_box= {{-2.9, -2}, {1.2, 1.3}},
    minable= { hardness= 0, mining_time= 5, result= "reactor" },
    max_health= 50,
    drawing_position= {0, 5},
	icon="__F-mod__/resources/icons/reactor icon.png",
	inventory_size=1,
    picture=
    {
      filename= "__F-mod__/resources/entity/reactor/reactor.png",
      width = 220,
      height = 159,
      priority = "extra-high",
	  shift={0,-1}
  }
  },
  
  
  
	{
		type= "item",
		name= "reactor",
		order="m-e",
		place_result= "reactor",
		stack_size= 2,
		flags= { "goes-to-quickbar" },
		icon="__F-mod__/resources/icons/reactor icon.png",
	},
	
	{
	type = "boiler",
    name = "invboiler",
	order="m-e",
    icon="__F-mod__/resources/icons/reactor icon.png",
    flags = {"placeable-player", "player-creation"},
    minable = {hardness = 999, mining_time = 0.5, result = "boiler"},
    max_health = 9999,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    energy_consumption = "1000W",
    burner =
    {
      effectivity = 10,
      fuel_inventory_size = 1,
      emissions = 0 / 0,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 1
        }
      }
    },
    max_liquid_amount = 10,
    structure =
    {
      left =blank,
      down = blank,
      left_down = blank,
      right_down = blank,
      left_up = blank,
      right_up = blank,
      t_down = blank,
      t_up = blank,},
    fire =
    {
      left = blankf,
      down = blankf,
      left_down = blankf,
      right_down = blankf,
      left_up = blankf,
      right_up = blankf,
	  t_up=blankf,
	},
	burning_cooldown = 20,
	pictures = pipepictures()
},
  {
    type = "item",
    name = "uranium-cell",
    icon = "__base__/graphics/icons/coal.png",
    flags = {"goes-to-main-inventory"},
    fuel_value = "115KJ",
    group = "production",
    order = "r-e",
    stack_size = 64
  },

})