data:extend({
  {
    type = "inserter",
    name = "alloy-inserter",
    icon="__F-mod__/resources/icons/alloy-inserter.png",
    flags = {"placeable-neutral", "player-creation"},
    minable =
    {
      hardness = 0.2,
      mining_time = 0.5,
      result = "alloy-inserter"
    },
    max_health = 20,
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    insert_distance = 0.85,
    pickup_distance = 1,
    energy_per_movement = 5,
    energy_per_rotation = 5,
    energy_source = {
      type = "electric",
	  usage_priority = "secondary-input",
    },
    extension_speed = 0.07,
    fast_replaceable_group = "inserter",
    hand_base_picture = {
      filename = "__F-mod__/resources/entity/alloy-inserter/alloy-inserter-hand-base.png",
      priority = "extra-high",
      width = 8,
      height = 34
    },
    hand_closed_picture = {
      filename = "__F-mod__/resources/entity/alloy-inserter/alloy-inserter-hand-closed.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    hand_open_picture = {
      filename = "__F-mod__/resources/entity/alloy-inserter/alloy-inserter-hand-open.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    platform_picture =
    {
      priority = "extra-high",
      width = 46,
      height = 46,
      sheet = "__F-mod__/resources/entity/alloy-inserter/alloy-inserter-platform.png"
    },
    rotation_speed = 0.03
  },
  
	{
	type= "item",
	name= "alloy-inserter",
	order= "z-z-a-i",
	place_result= "alloy-inserter",
	stack_size= 10,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/alloy-inserter.png",
	subgroup = "inserter",
	
	},
	
  {
   	type = "recipe",
   	name =  "alloy-inserter",
   	result= "alloy-inserter",
   	ingredients= { {"steel-plate", 10}, {"copper-cable", 20}, {"iron-plate", 30} } ,
	energy_required= 1,
    enabled= "false",
	category= "crafting"
  },
})