data:extend({

  {
    type = "fluid",
    name = "molten-copper",
    default_temperature = 1200,
    heat_capacity = "0KJ",
    base_color = {r=255, g=70, b=0},
    flow_color = {r=255, g=70, b=0},
    max_temperature = 1200,
    icon="__F-mod__/resources/icons/copper-ore.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "m-c"
  },
  
	{
	    type = "recipe",
		name = "molten-copper",
		results= {
			{type="fluid", name="molten-copper", amount=1},
		},
		ingredients= { {type="item",name="copper-ore", amount=5}, {type="item",name="stone", amount=5}, {type="item",name="coal", amount=2}},
		energy_required= 1,
		enabled= "true",
		category= "f-blast-furnace",
		subgroup="molten-metals"
	},

{
    type = "recipe",
    name = "forgecopper",
	result_count = 9,
    result= "copper-plate",
    ingredients= { {name="molten-copper", amount=1, type="fluid"} },
	energy_required= 1,
    enabled= "false",
	category= "f-forge"
},
})