data:extend({
   {
    type= "container",
    name= "salt-extractor",
	order = "m-r",
    flags= {"placeable-neutral", "player-creation"},
    collision_box = {{-1.2, -0.0}, {1.8, 1.8}},
    selection_box = {{-1.2, -0.0}, {1.8, 1.8}},
    minable= { hardness= 0.2, mining_time= 0.5, result= "salt-extractor" },
    max_health= 150,	
    drawing_position= {0.7, 0.12},
	inventory_size=1,
	icon="__F-mod__/resources/icons/salt-extractor.png",
    picture =
    {
      filename= "__F-mod__/resources/entity/salt-extractor/salt-extractor2.png",
      width= 141,
      height= 91,  
	  priority= "extra-high",  	  
      shift = {1.0, 0.8}	  	  
    }
  },
  
  {
   	type = "recipe",
   	name =  "salt-extractor",
   	result= "salt-extractor",
   	ingredients= { {"iron-stick", 20}, {"pipe", 3}},
	energy_required= 10,
    enabled= "true",
	category= "crafting"
  },
  
	{
	type= "item",
	name= "salt-extractor",
	order = "m-r",
	place_result= "salt-extractor",
	stack_size= 5,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/salt-extractor.png",
	subgroup = "production-machine",
	},
	
	
	{
		type= "item",
		name= "salt",
		order= "r",
		stack_size= 100,
		flags= { "goes-to-main-inventory" },
		icon="__F-mod__/resources/icons/salt.png"
	},
})