data:extend({
	{
		type = "item",
		name = "sodium-carbonate",
		order = "a-a",
		stack_size= 64,
		flags = { "goes-to-main-inventory" },
		icon = "__F-mod__/resources/icons/sodium-carbonate.png",
		subgroup = "raw-resource",
	},

	
	  {
		type = "recipe",
		name = "sodium-carbonate",
		category = "smelting",
		energy_required = 500,
		enabled = "true",
		subgroup="raw-resource",
		ingredients = {{"white-wood",1}},
		result = "sodium-carbonate",
	},
	
	  {
    type = "fluid",
    name = "molten-tin",
    default_temperature = 300,
    heat_capacity = "0KJ",
    base_color = {r=200, g=200, b=175},
    flow_color = {r=240, g=240, b=200},
    max_temperature = 300,
    icon = "__F-mod__/resources/icons/molten-tin.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "m-t"
  },
	{
	    type = "recipe",
		name = "molten-tin",
		results= {
			{type="fluid", name="molten-tin", amount=1},
		},
		ingredients= { {type="item",name="cassiterite", amount=9}, {type="item",name="coal", amount=1}, {type="item",name="sodium-carbonate", amount=3}},
		energy_required= 10,
		enabled= "true",
		category= "f-blast-furnace",
		subgroup="molten-metals"
	},
  
  {
    type = "recipe",
    name = "forgetin",
	result_count = 9,
    result= "tin-plate",
    ingredients= { {type="fluid", name="molten-tin", amount=1} },
	energy_required= 10,
    enabled= "false",
	category= "f-forge"
},
})