data:extend({
   {
    type= "assembling-machine",
    name= "water-collector",
	order = "m-r",
    flags= {"placeable-neutral", "player-creation"},
    collision_box= {{-1.1, -1.1}, {1.1, 1.1}},
    selection_box= {{-1.2, -1.2}, {1.2, 1.2}},
    minable= { hardness= 0.2, mining_time= 0.5, result= "water-collector" },
    max_health= 150,
    drawing_position= {0.7, 0.12},
	icon="__F-mod__/resources/icons/water-collector.png",
	crafting_categories={"water"},
	ingredient_count=0,
	energy_usage="50kW",
	crafting_speed=1,
    energy_source={
      type= "electric",
	  usage_priority = "secondary-input",
      input_priority= "secondary"
    },
    animation=
    {
      priority= "extra-high",
      width= 86,
      height= 80,
	  line_length = 4,     	  
      shift = {0, 0},	
	  filename= "__F-mod__/resources/entity/water-collector/water-collector2.png",
	  frame_count = 4 	  
    }
  },
  
  {
   	type = "recipe",
   	name =  "water-collector",
   	result= "water-collector",
   	ingredients= { {"iron-plate", 40}, {"copper-cable", 30}},
	energy_required= 10,
    enabled= "true",
	category= "crafting"
	
  },
  
	{
	type= "item",
	name= "water",
	order= "z-z-z",
	stack_size= 120,
	flags= { "goes-to-main-inventory" },
	icon="__F-mod__/resources/icons/water.png",
	subgroup = "barrel",
	},
	{
	type= "item",
	name= "water-collector",
	order= "b-c-a",
	place_result= "water-collector",
	stack_size= 5,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/water-collector.png",
	subgroup = "production-machine",
	},
  {
   	type = "recipe",
   	name =  "water",
   	result= "water",
   	ingredients= {},
	energy_required= 10,
    enabled= "true",
	category= "water"
	
  },
  
  {
  type = "recipe-category",
  name = "water"
  }
})