data:extend({
	{
    type= "assembling-machine",
    name= "charger",
    flags= {"placeable-neutral", "player-creation"},
    corpse = "small-remnants",
	order = "m-u-a",
    collision_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    minable= { hardness= 0.2, mining_time= 3, result= "charger" },
    crafting_categories= { "charging" },
    max_health= 150,
    ingredient_count= 1,
    energy_usage= "300kW",
    crafting_speed= 1,
	icon="__F-mod__/resources/icons/charger.png",
    energy_source=
    {
      type= "electric",
	  usage_priority = "secondary-input",
    },
    animation =
	 {
        priority = "extra-high",
        width = 64,
        height = 32,
        line_length = 1,
        shift = {0.5, 0},
        filename = "__F-mod__/resources/entity/charger/charger.png",
        frame_count = 1
     }
	
	},
	
	
	{
		type= "item",
		name= "charger",
		order= "z-c",
		place_result= "charger",
		stack_size= 10,
		flags= { "goes-to-quickbar" },
		icon="__F-mod__/resources/icons/charger.png",
		subgroup = "energy",
	},
	
	{
		type = "recipe",
		name =  "charger",
		result= "charger",
		ingredients= { {"battery", 5}, {"copper-cable", 20}, {"stone-brick", 5}, {"steel-plate", 5}},
		enabled= "false",
		category= "crafting",
		energy_required="30"
	},
	
  {
    type = "recipe-category",
    name = "charging"
  },
  

	})