data:extend({
   {
    type= "container",
    name= "flooring",
    flags= {"placeable-neutral", "player-creation"},
    collision_box= {{-0, 0}, {0, 0}},
    selection_box= {{-0, 0}, {0, 0}},
    minable= { hardness= 0.2, mining_time= 999, result= "pda" },
    max_health= 150,
    drawing_position= {0.7, 0.12},
	inventory_size=1,
	icon="__F-mod__/resources/icons/pda.png",
    picture=
    {
      filename= "__F-mod__/resources/entity/blank/blank.png",
      width= 32,
      height= 32,
      priority= "extra-high",
      shift = {0, 0}
    }
  },
  
  
	{
		type= "item",
		name= "flooring",
		order= "b-c-a",
		place_result= "flooring",
		stack_size= 64,
		flags= { "goes-to-quickbar" },
		icon="__F-mod__/resources/icons/pda.png"
	},
	
  --[[{
    type= "container",
    name= "bridge",
    flags= {"placeable-neutral", "player-creation"},
    collision_box= {{-0, 0}, {0, 0}},
    selection_box= {{-0, 0}, {0, 0}},
    minable= { hardness= 0.2, mining_time= 999, result= "pda" },
    max_health= 150,
    drawing_position= {0.7, 0.12},
	inventory_size=1,
	icon="__F-mod__/resources/icons/pda.png",
    picture=
    {
      filename= "__F-mod__/resources/entity/blank/blank.png",
      width= 32,
      height= 32,
      priority= "extra-high",
      shift = {0, 0}
    }
  },
  
  
	{
		type= "item",
		name= "bridge",
		order= "b-c-a",
		place_result= "flooring",
		stack_size= 64,
		flags= { "goes-to-quickbar" },
		icon="__F-mod__/resources/icons/pda.png"
	},]]
	
	  {
    type = "tile",
    name = "floor",
    collision_mask = {"ground-tile"},
    layer = 20,
    variants =
    {
      main =
      {
        {
          picture = "__F-mod__/resources/tiles/flooring/flooring.png",
          count = 16,
          size = 1,
        },
      },
      inner_corner =
      {
        picture = "__F-mod__/resources/tiles/flooring/flooring-inner-corner.png",
        count = 8
      },
      outer_corner =
      {
        picture = "__F-mod__/resources/tiles/flooring/flooring-outer-corner.png",
        count = 8
      },
      side =
      {
        picture = "__F-mod__/resources/tiles/flooring/flooring-side.png",
        count = 8
      }
    },
    walking_sound =
    {
      {
        filename = "__base__/sound/walking/grass-01.ogg",
        volume = 0.8
      },
      {
        filename = "__base__/sound/walking/grass-02.ogg",
        volume = 0.8
      },
      {
        filename = "__base__/sound/walking/grass-03.ogg",
        volume = 0.8
      },
      {
        filename = "__base__/sound/walking/grass-04.ogg",
        volume = 0.8
      }
    },
    map_color={r=169, g=169, b=169}
  },
  
  -- call it water bridge for it to work with flooring
})