data:extend({
  {
    type = "container",
	inventory_size = 1,
    name = "white-tree-1",
	order="t",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "white-wood",
      count = 3,
    },
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture ={
        filename = "__F-mod__/resources/entity/white-tree/1.png",
        priority = "extra-high",
        width = 84,
        height = 64,
        shift = {0.7, -0.7}
    }
    },
	
  {
    type = "container",
	inventory_size = 1,
    name = "white-tree-2",
	order="t",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "white-wood",
      count = 3,
    },
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture ={
        filename = "__F-mod__/resources/entity/white-tree/2.png",
        priority = "extra-high",
        width = 96,
        height = 85,
        shift = {0.9, -0.6}
      },
 },

  {
    type = "container",
	inventory_size = 1,
	order="t",
    name = "white-tree-3",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "white-wood",
      count = 3,
    },
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture =
      {
        filename = "__F-mod__/resources/entity/white-tree/3.png",
        width = 95,
        height = 81,
        shift = {0.2, -0.8}
      }
    },
    
  {
    type = "container",
	inventory_size = 1,
	order="t",
    name = "small-white-tree-1",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result="white-berry"
    },
    max_health = 10,
    collision_box = {{-0.2, -0.2}, {0.2, 0.2}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture ={
        filename = "__F-mod__/resources/entity/white-tree/1-small.png",
        priority = "extra-high",
        width = 84,
        height = 64,
        shift = {0.7, -0.7}
    }
    },
	
  {
    type = "container",
	inventory_size = 1,
	order="t",
    name = "small-white-tree-2",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result="white-berry"
    },
    max_health = 10,
    collision_box = {{-0.2, -0.2}, {0.2, 0.2}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture ={
        filename = "__F-mod__/resources/entity/white-tree/2-small.png",
        priority = "extra-high",
        width = 96,
        height = 85,
        shift = {0.9, -0.6}
      },
 },

  {
    type = "container",
	inventory_size = 1,
	order="t",
    name = "small-white-tree-3",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result="white-berry"
    },
    max_health = 10,
    collision_box = {{-0.2, -0.2}, {0.2, 0.2}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture =
      {
        filename = "__F-mod__/resources/entity/white-tree/3-small.png",
        width = 95,
        height = 81,
        shift = {0.2, -0.8}
      }
    },
    
  {
    type = "container",
	inventory_size = 1,
	order="t",
    name = "medium-white-tree-1",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "white-wood"
    },
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture ={
        filename = "__F-mod__/resources/entity/white-tree/1-medium.png",
        priority = "extra-high",
        width = 84,
        height = 64,
        shift = {0.7, -0.7}
    }
    },
	
  {
    type = "container",
	inventory_size = 1,
	order="t",
    name = "medium-white-tree-2",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "white-wood",
    },
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture ={
        filename = "__F-mod__/resources/entity/white-tree/2-medium.png",
        priority = "extra-high",
        width = 96,
        height = 85,
        shift = {0.9, -0.6}
      },
 },

  {
    type = "container",
	inventory_size = 1,
	order="t",
    name = "medium-white-tree-3",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "white-wood",
    },
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture =
      {
        filename = "__F-mod__/resources/entity/white-tree/3-medium.png",
        width = 95,
        height = 81,
        shift = {0.2, -0.8}
      }
    },
    
  {
    type = "container",
	order="t",
	inventory_size = 1,
    name = "white-berry",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "white-wood",
    },
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture =
      {
        filename = "__F-mod__/resources/entity/white-tree/1-small.png",
        width = 95,
        height = 81,
        shift = {0.2, -0.8}
      }
    },
})