data:extend({
  {
    type = "container",
	inventory_size = 1,
    name = "yellow-tree-1",
	order="t",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "raw-wood"
    },
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture ={
        filename = "__F-mod__/resources/entity/yellow-tree/1.png",
        priority = "extra-high",
        width = 91,
        height = 68,
        shift = {0, -0.6}
      },
    },
	
  {
    type = "container",
	inventory_size = 1,
	order="t",
    name = "yellow-tree-2",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "raw-wood"
    },
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture ={
        filename = "__F-mod__/resources/entity/yellow-tree/2.png",
        priority = "extra-high",
        width = 96,
        height = 85,
        shift = {0.9, -0.6}
      },
 },

  {
    type = "container",
	inventory_size = 1,
	order="t",
    name = "yellow-tree-3",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "raw-wood"
    },
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture =
      {
        filename = "__F-mod__/resources/entity/yellow-tree/3.png",
        priority = "extra-high",
        width = 92,
        height = 78,
        shift = {0.5, -0.8}
      },
    },
	
  {
    type = "container",
	inventory_size = 1,
	order="t",
    name = "small-yellow-tree-1",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "raw-wood"
    },
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture ={
        filename = "__F-mod__/resources/entity/yellow-tree/1-small.png",
        priority = "extra-high",
        width = 91,
        height = 68,
        shift = {0, -0.6}
      },
    },
	
  {
    type = "container",
	inventory_size = 1,
	order="t",
    name = "small-yellow-tree-2",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "raw-wood"
    },
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture ={
        filename = "__F-mod__/resources/entity/yellow-tree/2-small.png",
        priority = "extra-high",
        width = 96,
        height = 85,
        shift = {0.9, -0.6}
      },
 },

  {
    type = "container",
	inventory_size = 1,
	order="t",
    name = "small-yellow-tree-3",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "raw-wood"
    },
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture =
      {
        filename = "__F-mod__/resources/entity/yellow-tree/3-small.png",
        priority = "extra-high",
        width = 92,
        height = 78,
        shift = {0.5, -0.8}
      },
    },
  {
    type = "container",
	inventory_size = 1,
	order="t",
    name = "medium-yellow-tree-1",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "raw-wood"
    },
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture ={
        filename = "__F-mod__/resources/entity/yellow-tree/1-medium.png",
        priority = "extra-high",
        width = 91,
        height = 68,
        shift = {0, -0.6}
      },
    },
	
  {
    type = "container",
	inventory_size = 1,
	order="t",
    name = "medium-yellow-tree-2",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "raw-wood"
    },
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture ={
        filename = "__F-mod__/resources/entity/yellow-tree/2-medium.png",
        priority = "extra-high",
        width = 96,
        height = 85,
        shift = {0.9, -0.6}
      },
 },

  {
    type = "container",
	inventory_size = 1,
	order="t",
    name = "medium-yellow-tree-3",
    icon = "__base__/graphics/icons/dry-tree.png",
    flags = {"placeable-neutral"},
    minable = {
      mining_particle = "wooden-particle",
      mining_time = 1,
      result = "raw-wood"
    },
    max_health = 10,
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.6, -1.5}, {0.5, 0.4}},
    picture =
      {
        filename = "__F-mod__/resources/entity/yellow-tree/3-medium.png",
        priority = "extra-high",
        width = 92,
        height = 78,
        shift = {0.5, -0.8}
      },
    },
	
	
})