data:extend({
  {
    type= "container",
    name= "rocket-1",
    flags= {"placeable-neutral", "player-creation", "placeable-player"},
    collision_box= {{-2.3, -1.5}, {2.3, 0.5}},
    selection_box= {{-2.3, -10.6}, {2.3, 0.6}},
    minable= { hardness= 0.2, mining_time= 10, result= "rocket-1" },
    max_health= 50,
    drawing_position= {0, 5},
	icon="__F-mod__/resources/icons/rocket.png",
	inventory_size=10,
    picture=
    {
      filename= "__F-mod__/resources/entity/rocket/one.png",
      width = 160,
      height = 340,
      priority = "extra-high",
	  shift={0,-5},
  }
  },
  
  
  
	{
	type= "item",
	name= "rocket-1",
	order= "b-c-a",
	place_result= "rocket-1",
	stack_size= 1,
	flags= { "goes-to-quickbar" },
	icon="__F-mod__/resources/icons/rocket.png",
	subgroup="rocket",
	},
	
  {
   	type = "recipe",
   	name =  "rocket-1",
   	result= "rocket-1",
   	ingredients= { {"steel-plate", 100}, {"wood", 50 }},
	energy_required= 10,
    enabled= "false",
	category= "crafting"
  },
})