data:extend({

{
    type= "mining-tool",
    name= "mining-drill",
    order= "d-b",
    subgroup = "tool",
    stack_size= 32,
    flags= { "goes-to-main-inventory" },
    durability= 20000,
    speed= 8,
    damage= 10,
	icon="__F-mod__/resources/icons/mining-drill.png"
  },
  
  
  {
	type = "technology",
    name= "manual-drilling",
    prerequisites= {"steel-processing" },
	icon="__F-mod__/resources/technology/icons/manual-drilling.png",
    unit=
    {
      count= 20,
      time= 15,
      ingredients= { {"science-pack-1", 1}, {"science-pack-2", 1} }
    },
    effects=
    {
      {
        type= "unlock-recipe",
        recipe= "mining-drill"
      },
	   {
        type= "unlock-recipe",
        recipe= "recharge-mining-drill"
      },
	   {
        type= "unlock-recipe",
        recipe= "charger"
      }
    }
  },

  
  {
    type = "recipe",
    name = "mining-drill",
    result= "mining-drill",
    ingredients= { {"battery", 10}, {"iron-gear-wheel", 5}, {"electronic-circuit", 10}, {"steel-plate", 5}, {"copper-cable", 3} },
	energy_required= 10,
    enabled= "false",
	category= "crafting"
  },

  {
    type = "recipe",
    name = "recharge-mining-drill",
    result= "mining-drill",
    ingredients= { {"mining-drill", 1} },
	energy_required= 30,
    enabled= "false",
	category= "charging"
  },
})

