data:extend({
   {
    type= "container",
    name= "soldering-iron",
    flags= {"placeable-neutral", "player-creation"},
    collision_box= {{-0, 0}, {0, 0}},
    selection_box= {{-0, 0}, {0, 0}},
    minable= { hardness= 0.2, mining_time= 1, result= "soldering-iron" },
    max_health= 20,
    drawing_position= {0.7, 0.12},
	inventory_size=1,
	icon="__F-mod__/resources/icons/soldering-iron.png",
    picture=
    {
	  filename= "__F-mod__/resources/entity/blank/blank.png",
	  width= 32,
	  height= 32,
	  priority= "extra-high",
	  shift = {0, 0}
    }
  },
  
  
	{
		type= "item",
		name= "soldering-iron",
		order= "b-c-a",
		place_result= "soldering-iron",
		stack_size= 2,
		flags= { "goes-to-quickbar" },
		icon="__F-mod__/resources/icons/soldering-iron.png",
		subgroup="tool",
	},

  {
   	type = "recipe",
   	name =  "soldering-iron",
   	result= "soldering-iron",
   	ingredients= { {"steel-plate", 5}, {"stone", 2} },
	energy_required= 10,
    enabled= "false",
	category= "crafting"
  },
  {
   	type = "recipe",
   	name =  "charge-soldering-iron",
   	result= "soldering-iron",
   	ingredients= { {"soldering-iron", 1} },
	energy_required= 30,
    enabled= "false",
	category= "charging"
  },
})